#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This file allocates a GPU node and moves the terminal into the node.
# ------------------------------------------------------------------------------

JOB_NAME="ia_gpu_dev"
NODES=1
GPUS_PER_NODE=8
NTASKS=8
PARTITION="dev-g"
ACCOUNT="project_465000454"
TIME="01:00:00"  # TODO: Change to 2 hours!

# Allocate interactive node with the set variables above.
salloc \
    --nodes=$NODES \
    --gpus-per-node=$GPUS_PER_NODE \
    --ntasks=$NTASKS \
    --partition=$PARTITION \
    --account=$ACCOUNT \
    --time=$TIME \
    --mem=0 \
    --exclusive \
    --job-name=$JOB_NAME \
    srun --cpu_bind=none --nodes=1 --pty bash -i
